#if NETSTANDARD2_0 || NETSTANDARD2_1 || NETCOREAPP
using System.Collections.Generic;
using System.Reflection;

namespace FastReport.Code.CodeDom.Compiler
{
    public class CompilerResults
    {
        public CompilerResults()
        {
        }

        public CompilerResults(Assembly compiledAssembly)
        {
            CompiledAssembly = compiledAssembly;
        }

        public List<CompilerError> Errors { get; } = new();
        public Assembly CompiledAssembly { get; }
    }
}

#endif